"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
var _terminalReporter = _interopRequireDefault(require("metro/src/lib/TerminalReporter"));
var _chalk = _interopRequireDefault(require("chalk"));
var _constants = require("../constants");
function _assertThisInitialized(self) {
    if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self;
}
function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
    }
}
function _get(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
        _get = Reflect.get;
    } else {
        _get = function _get(target, property, receiver) {
            var base = _superPropBase(target, property);
            if (!base) return;
            var desc = Object.getOwnPropertyDescriptor(base, property);
            if (desc.get) {
                return desc.get.call(receiver);
            }
            return desc.value;
        };
    }
    return _get(target, property, receiver || target);
}
function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _getPrototypeOf(o);
}
function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, {
        constructor: {
            value: subClass,
            writable: true,
            configurable: true
        }
    });
    if (superClass) _setPrototypeOf(subClass, superClass);
}
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
    }
    return _assertThisInitialized(self);
}
function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;
        return o;
    };
    return _setPrototypeOf(o, p);
}
function _superPropBase(object, property) {
    while(!Object.prototype.hasOwnProperty.call(object, property)){
        object = _getPrototypeOf(object);
        if (object === null) break;
    }
    return object;
}
function _taggedTemplateLiteral(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
var _typeof = function(obj) {
    "@swc/helpers - typeof";
    return obj && typeof Symbol !== "undefined" && obj.constructor === Symbol ? "symbol" : typeof obj;
};
function _isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;
    try {
        Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function() {}));
        return true;
    } catch (e) {
        return false;
    }
}
function _createSuper(Derived) {
    var hasNativeReflectConstruct = _isNativeReflectConstruct();
    return function _createSuperInternal() {
        var Super = _getPrototypeOf(Derived), result;
        if (hasNativeReflectConstruct) {
            var NewTarget = _getPrototypeOf(this).constructor;
            result = Reflect.construct(Super, arguments, NewTarget);
        } else {
            result = Super.apply(this, arguments);
        }
        return _possibleConstructorReturn(this, result);
    };
}
function _templateObject() {
    var data = _taggedTemplateLiteral([
        " __  __     __  __     __  __     ______    "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _taggedTemplateLiteral([
        "/ _    / /    / _    /  __    "
    ], [
        "/\\ \\_\\ \\   /\\ \\/\\ \\   /\\ \\_\\ \\   /\\  __ \\   "
    ]);
    _templateObject1 = function _templateObject1() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _taggedTemplateLiteral([
        "   __     _    ____      __   "
    ], [
        "\\ \\  __ \\  \\ \\ \\_\\ \\  \\ \\____ \\  \\ \\  __ \\  "
    ]);
    _templateObject2 = function _templateObject2() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _taggedTemplateLiteral([
        "  _ _   _____  /_____   _ _ "
    ], [
        " \\ \\_\\ \\_\\  \\ \\_____\\  \\/\\_____\\  \\ \\_\\ \\_\\ "
    ]);
    _templateObject3 = function _templateObject3() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _taggedTemplateLiteral([
        "  /_//_/   /_____/   /_____/   /_//_/ "
    ], [
        "  \\/_/\\/_/   \\/_____/   \\/_____/   \\/_/\\/_/ "
    ]);
    _templateObject4 = function _templateObject4() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _taggedTemplateLiteral([
        "                                            "
    ]);
    _templateObject5 = function _templateObject5() {
        return data;
    };
    return data;
}
var HyTerminalReporter = /*#__PURE__*/ function(TerminalReporter) {
    "use strict";
    _inherits(HyTerminalReporter, TerminalReporter);
    var _super = _createSuper(HyTerminalReporter);
    function HyTerminalReporter(terminal, reportEvent) {
        _classCallCheck(this, HyTerminalReporter);
        var _this;
        _this = _super.call(this, terminal);
        // @ts-ignore
        _this.reportEvent = reportEvent;
        return _this;
    }
    var _proto = HyTerminalReporter.prototype;
    _proto._log = function _log(event) {
        if (event.type === "dep_graph_loading") {
            // @ts-ignore
            this.terminal.log(_chalk.default.yellow.bold(_constants.MATRIX_READY_MESSAGE));
            return;
        }
        return _get(_getPrototypeOf(HyTerminalReporter.prototype), "_log", this).call(this, event);
    };
    _proto._logInitializing = function _logInitializing() {
        var logo = [
            String.raw(_templateObject()),
            String.raw(_templateObject1()),
            String.raw(_templateObject2()),
            String.raw(_templateObject3()),
            String.raw(_templateObject4()),
            String.raw(_templateObject5()), 
        ];
        // @ts-ignore
        this.terminal.log(_chalk.default.yellow(logo.join("\n")));
    };
    _proto.setReportEvent = function setReportEvent(reportEvent) {
        // @ts-ignore
        this.reportEvent = reportEvent;
    };
    _proto.update = function update(event) {
        _get(_getPrototypeOf(HyTerminalReporter.prototype), "update", this).call(this, event);
        // @ts-ignore
        if (this.reportEvent) {
            // @ts-ignore
            this.reportEvent(event);
        }
    };
    return HyTerminalReporter;
}(_terminalReporter.default);
exports.default = HyTerminalReporter;
