"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = resolveReactNativePath;
var _path = _interopRequireDefault(require("path"));
function resolveReactNativePath(searchDirs) {
    var resolveNodeModuleDir = function(root, packageName) {
        return _path.default.dirname(//  通过部分路径找到一个包的路径
        require.resolve(_path.default.join(packageName, "package.json"), {
            paths: [
                root
            ]
        }));
    };
    for(var i = 0; i < searchDirs.length; i += 1){
        var RNPath = "";
        try {
            RNPath = resolveNodeModuleDir(searchDirs[i], "react-native");
            if (RNPath) return RNPath;
        } catch (err) {
        // console.log(`react-native not found in ${searchDirs[i]}`)
        }
    }
    console.log("react-native not found in ".concat(JSON.stringify(searchDirs)));
}
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
