"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.hyExtMiddleware = void 0;
var _connect = _interopRequireDefault(require("connect"));
var _chalk = _interopRequireDefault(require("chalk"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var hyExtMiddleware = (0, _connect).default().use("/", function(req, res, next) {
    if (process.env.HYEXT_LOG_REQ) {
        console.log(_chalk.default.dim("DevServer ".concat(req.url)));
    }
    next();
}).use("/hyext-debug", function(req, res, next) {
    res.end("ok");
}).use("/debugger-proxy", function(req, res, next) {
    // console.log('handle debugger-proxy before community')
    next();
});
exports.hyExtMiddleware = hyExtMiddleware;
