"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getAssets = void 0;
var _regeneratorRuntime = _interopRequireDefault(require("regenerator-runtime"));
var _getAssets = _interopRequireDefault(require("metro/src/DeltaBundler/Serializers/getAssets"));
var _getDependencies = require("./getDependencies");
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
        var info = gen[key](arg);
        var value = info.value;
    } catch (error) {
        reject(error);
        return;
    }
    if (info.done) {
        resolve(value);
    } else {
        Promise.resolve(value).then(_next, _throw);
    }
}
function _asyncToGenerator(fn) {
    return function() {
        var self = this, args = arguments;
        return new Promise(function(resolve, reject) {
            var gen = fn.apply(self, args);
            function _next(value) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
            }
            function _throw(err) {
                asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
            }
            _next(undefined);
        });
    };
}
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var getAssets = function() {
    var _ref = _asyncToGenerator(_regeneratorRuntime.default.mark(function _callee(options) {
        var // dependencyGraph,
        config, transformOptions, dependencies;
        return _regeneratorRuntime.default.wrap(function _callee$(_ctx) {
            while(1)switch(_ctx.prev = _ctx.next){
                case 0:
                    config = options.config, transformOptions = options.transformOptions;
                    _ctx.next = 3;
                    return (0, _getDependencies).getDependencies(options);
                case 3:
                    dependencies = _ctx.sent;
                    return _ctx.abrupt("return", (0, _getAssets).default(dependencies, {
                        processModuleFilter: config.serializer.processModuleFilter,
                        assetPlugins: config.transformer.assetPlugins,
                        platform: transformOptions.platform,
                        projectRoot: config.projectRoot,
                        publicPath: config.transformer.publicPath
                    }));
                case 5:
                case "end":
                    return _ctx.stop();
            }
        }, _callee);
    }));
    return function getAssets(options) {
        return _ref.apply(this, arguments);
    };
}();
exports.getAssets = getAssets;
