"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getType = void 0;
var _path = _interopRequireDefault(require("path"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
var getType = function(config, calculatedOptions, filepath) {
    if (calculatedOptions.type === "script") {
        return "script";
    }
    if (config.resolver.assetExts.indexOf(_path.default.extname(filepath).slice(1)) !== -1) {
        return "asset";
    }
    var lowerExts = config.resolver.assetExts.map(function(xs) {
        return xs.toLowerCase();
    });
    var fileExt = _path.default.extname(filepath).slice(1).toLowerCase();
    if (lowerExts.includes(fileExt)) {
        return "asset";
    }
    return "module";
};
exports.getType = getType;
